<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Styling Properties and Positioning</title>
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<h2>CSS Common Styling</h2>
	<!-- div tag is a block element -->
	<div id="div-1">This is a div</div>
	<!-- span is an inline element -->
	<span id="span-1">This is a span</span>
	<img src="https://place-puppy.com/450x450" id="img">
	<span id="span-2">This is another span</span>
	<div id="div-2">This is another div</div>

	<h3>Notes in block, inline and inline block</h3>
	<p id="p-1">Block takes up to the whole width by default</p>
	<p id="p-2">width 60</p>
	<p id="p-3">width 40</p>
	<p>Even if there is enough space, block elements do not sit next to each other unless if they are floated.</p>

    <p>Inline elements are things like bold and Italics. You cannot control the height and width of these elements.</p>

    <p>Inline-block can sit on the same line and combines block and inline properties</p>

    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>
    <div class="sample">width = 30</div>

    <h3>Float</h3>
    <p>The flaot is used for positioning and formatting</p>

    <p>
    	<img src="https://place-puppy.com/450x450" class="img-float">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
    </p>
    <hr>
    <h3>CSS Unit</h3>
    <h4>px vs %</h4>

    <div class="box fifty-percent">50%</div>
    <div class="box hundred-px">100px</div>

    <br>

    <div class="box fifty-vw">50vw</div>
    <div class="box twenty-five-vh">25vw</div>

    <div>16px</div>
    <div class="one-rem">1rem</div>
    <div class="one-em">1em</div>
    <div class="two-rem">2rem</div>
    <div class="two-em">2em</div>

    <div class="parent">
    	<div class="one-rem">1rem</div>
    	<div class="one-em">1em</div>
    	<div class="two-rem">2rem</div>
    	<div class="two-em">2em</div>

    	<div class="two-hundred-percent">200%</div>

    	<div class="box fifty-percent">50%</div>
    	<div class="box hundred-px">100px</div>
    </div>

    <hr>

    <section class="background">
    	<div class="container-bg">
    		<h3 class="bg-title">CSS Background Properties</h3>
    	</div>
    </section>

    <div class="parent-element">
    	parent Element
    	<div class="child-one">
    		i'm the child one element.
    	</div>
    	<div class="child-two">
    		all eyes on me Child two element.
    	</div>
    	<div class="child-three">
    		i'm the child three element.
    	</div>
    </div>

    <hr>
    <h2>zindex example</h2>

    <p>an element with greater stack order is always above an element with a lower stack order</p>

    <div class="container">
    	<div class="black-box"> black box (z index: 1)</div>
    	<div class="gray-box"> gaey box (z index: 3)</div>
    	<div class="green-box"> green box (z index: 2)</div>
    </div>

</body>
</html>